
import java.util.*;

public class BetterDictionary implements Dictionary
{

   private ArrayList<WordRecord> list;

   public BetterDictionary()
   {
      list = new ArrayList<WordRecord>();
   }

   public void addWord( String w, String d )
   {
      WordRecord temp = new WordRecord( w, d );
      list.add( temp );
   }

   public String getDefinition( String w )
   {
       for( int i = 0; i < list.size(); i++ )
       {
          WordRecord temp = list.get( i );
          if ( w.equals( temp.getWord() ) )
          {
             return temp.getDefinition();
          }
       }
       return null;
   }

}
